#include "LBBCSampleConfigFile.h"

namespace LBBC {

SampleConfigFile::SampleConfigFile(): Ogre::ConfigFile()
{
}
	
SampleConfigFile::~SampleConfigFile()
{
}

Ogre::String SampleConfigFile::getEntitySampleMaterialName()
{
	return getSetting("Entity Sample Material Name");
}

Ogre::String SampleConfigFile::getEntitySampleMeshName()
{
	return getSetting("Entity Sample Mesh Name");
}

bool SampleConfigFile::getEntityDistributionGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Entity Distribution Generation"));
}

bool SampleConfigFile::getEntityDistributionMerged()
{
	return Ogre::StringConverter::parseBool(getSetting("Entity Distribution Merged"));
}

Ogre::String SampleConfigFile::getEntityDistributionSplittedMeshName()
{
	return getSetting("Entity Distribution Splitted Mesh Name");
}

Ogre::String SampleConfigFile::getEntityDistributionSplittedMaterialName()
{
	return getSetting("Entity Distribution Splitted Material Name");
}

Ogre::String SampleConfigFile::getEntityDistributionMergedMeshName()
{
	return getSetting("Entity Distribution Merged Mesh Name");
}

Ogre::String SampleConfigFile::getEntityDistributionMergedMaterialName()
{
	return getSetting("Entity Distribution Merged Material Name");
}

Ogre::String SampleConfigFile::getEntityDistributionFolder()
{
	return getSetting("Entity Distribution Folder");
}

Ogre::String SampleConfigFile::getEntityDistributionXMLName()
{
	return getSetting("Entity Distribution XML Name");
}

Ogre::String SampleConfigFile::getEntitiesFolder()
{
	return getSetting("Entities Folder");
}


Ogre::String SampleConfigFile::getEntitiesMeshName()
{
	return getSetting("Entities Mesh Name");
}

Ogre::String SampleConfigFile::getBillboardCloudGroupedXMLName()
{
	return getSetting("Billboard Cloud Grouped XML Name");
}

bool SampleConfigFile::getEntitySampleMeshGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Entity Sample Mesh Generation"));
}

bool SampleConfigFile::getEntityClustersGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Entity Clusters Generation"));
}

float SampleConfigFile::getEntityClustersAlpha()
{
	return Ogre::StringConverter::parseReal(getSetting("Entity Clusters Alpha"));
}

unsigned int SampleConfigFile::getEntityClustersMaxClusters()
{
	return Ogre::StringConverter::parseInt(getSetting("Entity Clusters MaxClusters"));
}

unsigned int SampleConfigFile::getEntityClustersNumIterations()
{
	return Ogre::StringConverter::parseInt(getSetting("Entity Clusters NumIterations"));
}

bool SampleConfigFile::getEntityClustersGroupedClusters()
{
	return Ogre::StringConverter::parseBool(getSetting("Entity Clusters Grouped Clusters"));
}

bool SampleConfigFile::getEntityClustersSplittedClusters()
{
	return Ogre::StringConverter::parseBool(getSetting("Entity Clusters Splitted Clusters"));
}

bool SampleConfigFile::getEntityDistributionSplitted()
{
	return Ogre::StringConverter::parseBool(getSetting("Entity Distribution Splitted"));
}

bool SampleConfigFile::getBillboardCloudGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Generation"));
}

bool SampleConfigFile::getBillboardCloudMergedBillboards()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Merged Billboards"));
}

bool SampleConfigFile::getBillboardCloudSplittedBillboards()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Splitted Billboards"));
}

Ogre::String SampleConfigFile::getBillboardCloudIndirectPointMeshName()
{
	return getSetting("Billboard Cloud Indirect Point Mesh Name");
}

Ogre::String SampleConfigFile::getBillboardCloudIndirectPointMaterialName()
{
	return getSetting("Billboard Cloud Indirect Point Material Name");
}

Ogre::String SampleConfigFile::getEntityClustersFolder()
{
	return getSetting("Entity Clusters Folder");
}

Ogre::String SampleConfigFile::getEntityClustersGroupedMeshName()
{
	return getSetting("Entity Clusters Grouped Mesh Name");
}

Ogre::String SampleConfigFile::getEntityClustersSplittedMeshName()
{
	return getSetting("Entity Clusters Splitted Mesh Name");
}

Ogre::String SampleConfigFile::getEntityClustersGroupedMaterialName()
{
	return getSetting("Entity Clusters Grouped Material Name");
}

Ogre::String SampleConfigFile::getEntityClustersSplittedMaterialName()
{
	return getSetting("Entity Clusters Splitted Material Name");
}

Ogre::String SampleConfigFile::getBillboardCloudFolder()
{
	return getSetting("Billboard Cloud Folder");
}

Ogre::String SampleConfigFile::getBillboardCloudMergedMeshName()
{
	return getSetting("Billboard Cloud Merged Mesh Name");
}

Ogre::String SampleConfigFile::getBillboardCloudGroupedMeshName()
{
	return getSetting("Billboard Cloud Grouped Mesh Name");
}

Ogre::String SampleConfigFile::getBillboardCloudSplittedMeshName()
{
	return getSetting("Billboard Cloud Splitted Mesh Name");
}

Ogre::String SampleConfigFile::getBillboardCloudGroupedMaterialName()
{
	return getSetting("Billboard Cloud Grouped Material Name");
}

Ogre::String SampleConfigFile::getBillboardCloudMergedMaterialName()
{
	return getSetting("Billboard Cloud Merged Material Name");
}

Ogre::String SampleConfigFile::getBillboardCloudSplittedMaterialName()
{
	return getSetting("Billboard Cloud Splitted Material Name");
}

Ogre::String SampleConfigFile::getEntityClustersGroupedTextureUnit0Name()
{
	return getSetting("Entity Clusters Grouped Texture Unit 0 Name");
}

Ogre::String SampleConfigFile::getEntityClustersSplittedTextureUnit0Name()
{
	return getSetting("Entity Clusters Splitted Texture Unit 0 Name");
}

Ogre::String SampleConfigFile::getBillboardCloudMergedTextureUnit0Name()
{
	return getSetting("Billboard Cloud Merged Texture Unit 0 Name");
}

Ogre::String SampleConfigFile::getBillboardCloudGroupedTextureUnit0Name()
{
	return getSetting("Billboard Cloud Grouped Texture Unit 0 Name");
}

Ogre::String SampleConfigFile::getBillboardCloudSplittedTextureUnit0Name()
{
	return getSetting("Billboard Cloud Splitted Texture Unit 0 Name");
}

Ogre::String SampleConfigFile::getBillboardCloudIndirectGroupedBillboardsTextureAtlasName()
{
	return getSetting("Billboard Cloud Indirect Grouped Billboards Texture Atlas Name");
}

unsigned int SampleConfigFile::getBillboardCloudDiffuseColorEntityTextureAtlasBitRange()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Entity Texture Atlas Bit Range"));
}

unsigned int SampleConfigFile::getBillboardCloudDiffuseColorGroupedBillboardsTextureSize()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Grouped Billboards Texture Size"));
}

unsigned int SampleConfigFile::getBillboardCloudGroups()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Groups"));
}

unsigned int SampleConfigFile::getBillboardCloudDiffuseColorGroupedBillboardsTextureAtlasBitRange()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Grouped Billboards Texture Atlas Bit Range"));
}

unsigned int SampleConfigFile::getBillboardCloudIndirectGroupedBillboardsTextureAtlasBitRange()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Grouped Billboards Texture Atlas Bit Range"));
}

unsigned int SampleConfigFile::getBillboardCloudIndirectGroupedBillboardsTextureAtlasSize()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Grouped Billboards Texture Atlas Size"));
}

unsigned int SampleConfigFile::getBillboardCloudIndirectGroupedBillboardsTextureSize()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Grouped Billboards Texture Size"));
}

unsigned int SampleConfigFile::getBillboardCloudDiffuseColorGroupedBillboardsTextureAtlasSize()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Grouped Billboards Texture Atlas Size"));
}

bool SampleConfigFile::getBillboardCloudDiffuseColorGroupedBillboardsTextureAtlasDebug()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Diffuse Color Grouped Billboards Texture Atlas Debug"));
}

bool SampleConfigFile::getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasDebug()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Diffuse Color Merged Billboards Texture Atlas Debug"));
}

bool SampleConfigFile::getBillboardCloudIndirectGroupedBillboardsTextureAtlasDebug()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Indirect Grouped Billboards Texture Atlas Debug"));
}

bool SampleConfigFile::getBillboardCloudIndirectMergedBillboardsTextureAtlasDebug()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Indirect Merged Billboards Texture Atlas Debug"));
}

bool SampleConfigFile::getBillboardCloudDiffuseColorGroupedBillboardsTextureAtlasGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Diffuse Color Grouped Billboards Texture Atlas Generation"));
}

bool SampleConfigFile::getBillboardCloudIndirectGroupedBillboardsTextureAtlasGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Indirect Grouped Billboards Texture Atlas Generation"));
}

bool SampleConfigFile::getBillboardCloudGroupedBillboards()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Grouped Billboards"));
}

bool SampleConfigFile::getBillboardCloudDiffuseColorEntityTextureAtlasGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Diffuse Color Entity Texture Atlas Generation"));
}

Ogre::String SampleConfigFile::getBillboardCloudDiffuseColorEntityTextureName()
{
	return getSetting("Billboard Cloud Diffuse Color Entity Texture Name");
}

Ogre::String SampleConfigFile::getBillboardCloudDiffuseColorGroupedBillboardsTextureAtlasName()
{
	return getSetting("Billboard Cloud Diffuse Color Grouped Billboards Texture Atlas Name");
}

Ogre::String SampleConfigFile::getBillboardCloudDiffuseColorEntityTextureAtlasName()
{
	return getSetting("Billboard Cloud Diffuse Color Entity Texture Atlas Name");
}

unsigned int SampleConfigFile::getBillboardCloudDiffuseColorEntityTextureAtlasSize()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Entity Texture Atlas Size"));
}

unsigned int SampleConfigFile::getBillboardCloudDiffuseColorEntityTextureAtlasNumSamples()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Entity Texture Atlas NumSamples"));
}

bool SampleConfigFile::getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Diffuse Color Merged Billboards Texture Atlas Generation"));
}

Ogre::String SampleConfigFile::getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasName()
{
	return getSetting("Billboard Cloud Diffuse Color Merged Billboards Texture Atlas Name");
}

unsigned int SampleConfigFile::getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasBitRange()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Merged Billboards Texture Atlas Bit Range"));
}

unsigned int SampleConfigFile::getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasSize()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Merged Billboards Texture Atlas Size"));
}

unsigned int SampleConfigFile::getBillboardCloudDiffuseColorMergedBillboardsTextureSize()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Merged Billboards Texture Size"));
}

bool SampleConfigFile::getBillboardCloudIndirectMergedBillboardsTextureAtlasGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Indirect Merged Billboards Texture Atlas Generation"));
}

Ogre::String SampleConfigFile::getBillboardCloudIndirectMergedBillboardsTextureAtlasName()
{
	return getSetting("Billboard Cloud Indirect Merged Billboards Texture Atlas Name");
}

Ogre::String SampleConfigFile::getBillboardCloudSplittedXMLName()
{
	return getSetting("Billboard Cloud Splitted XML Name");
}

Ogre::String SampleConfigFile::getBillboardCloudMergedXMLName()
{
	return getSetting("Billboard Cloud Merged XML Name");
}

unsigned int SampleConfigFile::getBillboardCloudIndirectMergedBillboardsTextureAtlasBitRange()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Merged Billboards Texture Atlas Bit Range"));
}

unsigned int SampleConfigFile::getBillboardCloudIndirectMergedBillboardsTextureAtlasSize()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Merged Billboards Texture Atlas Size"));
}

unsigned int SampleConfigFile::getBillboardCloudIndirectMergedBillboardsTextureSize()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Merged Billboards Texture Size"));
}

}
